View a markdown version of this page

DescribeSpace - Amazon Quick Sight

DescribeSpace

Describes an Amazon QuickSight space.

Request Syntax

GET /v1/accounts/AwsAccountId/spaces/SpaceId?maxContributors=MaxContributors HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

AwsAccountId

The ID of the AWS account that contains the space.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

MaxContributors

The maximum number of contributors to include in the response.

Valid Range: Minimum value of 1. Maximum value of 100.

SpaceId

The ID of the space that you want to describe.

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [0-9a-zA-Z-_=.+]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "Contributors": [ { "percentage": number, "rawFileSizeBytes": number, "userName": "string" } ], "RequestId": "string", "Space": { "consumedSourceDocCount": number, "consumedSourceSize": number, "createdAt": number, "createdBy": "string", "createdByArn": "string", "description": "string", "name": "string", "resources": [ { "resourceDetails": { ... }, "resourceType": "string" } ], "updatedAt": number }, "spaceArn": "string", "spaceId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

Space

The details of the space.

Type: SpaceDetails object

spaceId

The ID of the space.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [0-9a-zA-Z-_=.+]+

Contributors

A list of contributors to the space.

Type: Array of SpaceContributor objects

RequestId

The AWS request ID for this operation.

Type: String

spaceArn

The ARN of the space.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 512.

Pattern: arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidParameterValueException

One or more parameters has a value that isn't valid.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

ResourceNotFoundException

One or more resources can't be found.

RequestId

The AWS request ID for this request.

ResourceType

The resource type for this request.

HTTP Status Code: 404

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: